package com.red.circle.other.app.service.user.user;


import com.red.circle.other.app.dto.clientobject.user.user.UserBlacklistCO;
import com.red.circle.other.app.dto.cmd.user.user.UserBlacklistQueryCmd;
import com.red.circle.other.app.dto.cmd.user.user.UserShieldBlackUserCmd;
import java.util.List;

/**
 * 用户举报拉黑
 *
 * @author pengliang on 2020/11/4
 */
public interface UserShieldBlackService {

  void add(UserShieldBlackUserCmd cmd);

  void cancel(UserShieldBlackUserCmd cmd);

  Boolean checkExists(UserShieldBlackUserCmd cmd);

  String getStatus(UserShieldBlackUserCmd cmd);

  List<UserBlacklistCO> listShieldBlacklist(UserBlacklistQueryCmd cmd);

}
